## org.eclipse.xsd
Enum XSDNamespaceConstraintCategory

    java.lang.Object
      java.lang.Enum<XSDNamespaceConstraintCategory>
          org.eclipse.xsd.XSDNamespaceConstraintCategory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDNamespaceConstraintCategory>, Enumerator

    public enum XSDNamespaceConstraintCategory

extends java.lang.Enum<XSDNamespaceConstraintCategory>
implements Enumerator

A representation of the literals of the enumeration 'Namespace Constraint Category'.

See Also:
  `XSDWildcard.getNamespaceConstraintCategory()`, `XSDWildcard.getNamespaceConstraint()`, `XSDPackage.getXSDNamespaceConstraintCategory()`

Enum Constant Summary
`ANY_LITERAL` The 'Any' literal object
`NOT_LITERAL` The 'Not' literal object
`SET_LITERAL` The 'Set' literal object

Field Summary
`static int` `ANY` The 'Any' literal value
`static int` `NOT` The 'Not' literal value
`static int` `SET` The 'Set' literal value
`static java.util.List<XSDNamespaceConstraintCategory>` `VALUES` A public read-only list of all the 'Namespace Constraint Category' enumerators

Method Summary
`static XSDNamespaceConstraintCategory` `get(int value)` Returns the 'Namespace Constraint Category' literal with the specified integer value
`static XSDNamespaceConstraintCategory` `get(java.lang.String literal)` Returns the 'Namespace Constraint Category' literal with the specified literal value
`static XSDNamespaceConstraintCategory` `getByName(java.lang.String name)` Returns the 'Namespace Constraint Category' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDNamespaceConstraintCategory` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDNamespaceConstraintCategory[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ANY_LITERAL

    public static final XSDNamespaceConstraintCategory ANY_LITERAL

  The 'Any' literal object.

  See Also:
    `ANY`

### NOT_LITERAL

    public static final XSDNamespaceConstraintCategory NOT_LITERAL

  The 'Not' literal object.

  See Also:
    `NOT`

### SET_LITERAL

    public static final XSDNamespaceConstraintCategory SET_LITERAL

  The 'Set' literal object.

  See Also:
    `SET`

Field Detail

### ANY

    public static final int ANY

  The 'Any' literal value.

  This is used to indicate that any namespace is matched.

  See Also:
    `ANY_LITERAL`, Constant Field Values

### NOT

    public static final int NOT

  The 'Not' literal value.

  This is used to indicate that any namespace not in the (singleton) set is matched.

  See Also:
    `NOT_LITERAL`, Constant Field Values

### SET

    public static final int SET

  The 'Set' literal value.

  This is used to indicate that any namespace in the set is matched.

  See Also:
    `SET_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDNamespaceConstraintCategory> VALUES

  A public read-only list of all the 'Namespace Constraint Category' enumerators.

Method Detail

### values

    public static final XSDNamespaceConstraintCategory[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDNamespaceConstraintCategory c : XSDNamespaceConstraintCategory.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDNamespaceConstraintCategory valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDNamespaceConstraintCategory get(java.lang.String literal)

  Returns the 'Namespace Constraint Category' literal with the specified literal value.

### getByName

    public static XSDNamespaceConstraintCategory getByName(java.lang.String name)

  Returns the 'Namespace Constraint Category' literal with the specified name.

### get

    public static XSDNamespaceConstraintCategory get(int value)

  Returns the 'Namespace Constraint Category' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDNamespaceConstraintCategory>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.